[pulseaudio-commits] [SCM] PulseAudio Sound Server branch, master, updated. e7b9da320993840f21f6208ba8a209865fca37ab

Lennart Poettering gitmailer-noreply at 0pointer.de
Wed Jul 23 13:46:48 PDT 2008


This is an automated email from the git hooks/post-receive script. It was
generated because of a push to the "PulseAudio Sound Server" repository.

The master branch has been updated
      from  32e93d5c898e63007da3d9adcbab0cfd70f99a09 (commit)

- Log -----------------------------------------------------------------
e7b9da3... add missing pieces for new startup logic
c95d0d7... bump api verson
-----------------------------------------------------------------------

Summary of changes:
 configure.ac                                       |    2 +-
 src/Makefile.am                                    |   14 ++++++++++----
 src/daemon/pulseaudio-module-xsmp.desktop          |   10 ----------
 src/daemon/pulseaudio.desktop                      |   10 ++++++++++
 .../daemon/start-pulseaudio-x11.in                 |   17 ++++++++++++-----
 5 files changed, 33 insertions(+), 20 deletions(-)
 delete mode 100644 src/daemon/pulseaudio-module-xsmp.desktop
 create mode 100644 src/daemon/pulseaudio.desktop
 copy doxygen/Makefile.am => src/daemon/start-pulseaudio-x11.in (70%)
 mode change 100644 => 100755

-----------------------------------------------------------------------

commit c95d0d7dcbca0c531b972ece1004caad95c92936
Author: Lennart Poettering <lennart at poettering.net>
Date:   Wed Jul 23 22:44:41 2008 +0200

    bump api verson

diff --git a/configure.ac b/configure.ac
index 7aa7e82..ad4f1c5 100644
--- a/configure.ac
+++ b/configure.ac
@@ -34,7 +34,7 @@ AM_INIT_AUTOMAKE([foreign -Wall])
 AC_SUBST(PA_MAJORMINOR, "PA_MAJOR.PA_MINOR")
 AC_SUBST(PACKAGE_URL, [http://pulseaudio.org/])
 
-AC_SUBST(PA_API_VERSION, 11)
+AC_SUBST(PA_API_VERSION, 12)
 AC_SUBST(PA_PROTOCOL_VERSION, 13)
 
 # The stable ABI for client applications, for the version info x:y:z

commit e7b9da320993840f21f6208ba8a209865fca37ab
Author: Lennart Poettering <lennart at poettering.net>
Date:   Wed Jul 23 22:46:39 2008 +0200

    add missing pieces for new startup logic

diff --git a/src/Makefile.am b/src/Makefile.am
index 788857c..98d06aa 100644
--- a/src/Makefile.am
+++ b/src/Makefile.am
@@ -99,9 +99,10 @@ EXTRA_DIST = \
 		daemon/default.pa.win32 \
 		depmod.py \
 		daemon/esdcompat.in \
+		daemon/start-pulseaudio-x11.in \
 		utils/padsp \
 		modules/module-defs.h.m4 \
-		daemon/pulseaudio-module-xsmp.desktop \
+		daemon/pulseaudio.desktop \
 		map-file \
 		daemon/org.pulseaudio.policy
 
@@ -112,7 +113,7 @@ pulseconf_DATA = \
 
 if HAVE_X11
 xdgautostart_DATA = \
-		daemon/pulseaudio-module-xsmp.desktop
+		daemon/pulseaudio.desktop
 endif
 
 BUILT_SOURCES = \
@@ -184,7 +185,7 @@ if HAVE_AVAHI
 bin_PROGRAMS += pabrowse
 endif
 
-bin_SCRIPTS = esdcompat
+bin_SCRIPTS = esdcompat start-pulseaudio-x11
 
 pacat_SOURCES = utils/pacat.c
 pacat_LDADD = $(AM_LDADD) libpulse.la
@@ -1542,7 +1543,7 @@ suid: pulseaudio .libs/lt-pulseaudio
 	chown root $^
 	chmod u+s $^
 
-CLEANFILES = esdcompat client.conf default.pa daemon.conf
+CLEANFILES = esdcompat client.conf default.pa daemon.conf start-pulseaudio-x11
 
 esdcompat: daemon/esdcompat.in Makefile
 	sed -e 's, at PACKAGE_VERSION\@,$(PACKAGE_VERSION),g' \
@@ -1550,6 +1551,11 @@ esdcompat: daemon/esdcompat.in Makefile
 		-e 's, at PA_BINARY\@,$(PA_BINARY),g' < $< > $@
 	chmod +x esdcompat
 
+start-pulseaudio-x11: daemon/start-pulseaudio-x11.in Makefile
+	sed -e 's, at PA_BINARY\@,$(PA_BINARY),g' \
+		-e 's, at PACTL_BINARY\@,$(bindir)/pactl,g' < $< > $@
+	chmod +x start-pulseaudio-x11
+
 client.conf: pulse/client.conf.in Makefile
 	sed -e 's, at PA_BINARY\@,$(PA_BINARY),g' < $< > $@
 
diff --git a/src/daemon/pulseaudio-module-xsmp.desktop b/src/daemon/pulseaudio-module-xsmp.desktop
deleted file mode 100644
index fa719a7..0000000
--- a/src/daemon/pulseaudio-module-xsmp.desktop
+++ /dev/null
@@ -1,10 +0,0 @@
-[Desktop Entry]
-Version=1.0
-Encoding=UTF-8
-Name=PulseAudio Session Management
-Comment=Load module-x11-xsmp into PulseAudio
-Exec=pactl load-module module-x11-xsmp
-Terminal=false
-Type=Application
-Categories=
-GenericName=
diff --git a/src/daemon/pulseaudio.desktop b/src/daemon/pulseaudio.desktop
new file mode 100644
index 0000000..57a7a6e
--- /dev/null
+++ b/src/daemon/pulseaudio.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Version=1.0
+Encoding=UTF-8
+Name=PulseAudio Sound System
+Comment=Start the PulseAudio Sound System
+Exec=start-pulseaudio-x11
+Terminal=false
+Type=Application
+Categories=
+GenericName=
diff --git a/src/daemon/start-pulseaudio-x11.in b/src/daemon/start-pulseaudio-x11.in
new file mode 100755
index 0000000..3cccc4d
--- /dev/null
+++ b/src/daemon/start-pulseaudio-x11.in
@@ -0,0 +1,31 @@
+#!/bin/sh
+
+# This file is part of PulseAudio.
+#
+# PulseAudio is free software; you can redistribute it and/or modify
+# it under the terms of the GNU Lesser General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# PulseAudio is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public License
+# along with PulseAudio; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
+# USA.
+
+set -e
+
+ at PA_BINARY@ --start "$@"
+
+if [ x"$DISPLAY" != x ] ; then
+
+    @PACTL_BINARY@ load-module module-x11-publish "display=$DISPLAY" > /dev/null
+
+    if [ x"$SESSION_MANAGER" != x ] ; then
+	@PACTL_BINARY@ load-module module-x11-xsmp "display=$DISPLAY session_manager=$SESSION_MANAGER" > /dev/null
+    fi
+fi

-- 
hooks/post-receive
PulseAudio Sound Server



More information about the pulseaudio-commits mailing list